<?php declare(strict_types=1);

use PhpStyler\Config;
use PhpStyler\Files;
use PhpStyler\Styler;

return new Config(
    styler: new Styler(lineLen: 79),
    files: new Files(
        __DIR__ . '/bin',
        __DIR__ . '/public',
        __DIR__ . '/src',
        __DIR__ . '/config',
        __DIR__ . '/tests',
        __DIR__ . '/php-styler.php',
        __DIR__ . '/ecs.php',
        __DIR__ . '/rector.php',
    ),
    cache: __DIR__ . '/.php-styler.cache',
);
